# NOTE: for more recent version of servletapi see tomcat.spec
# TODO:
#   - fix all specs that requires servletapi5, servlet etc. They should require java(servlet)
#   - split into two packages, if it really needs to co-exist with other servlet-api.jar provider
#
# Conditional build:
%bcond_without	javadoc		# don't build javadoc

%define		jspapiver	2.0
%define		servletapiver	2.4

%include	/usr/lib/rpm/macros.java

%define		srcname		servletapi5
Summary:	Java Servlet 2.4 and JSP 2.0 implementation classes
Summary(pl.UTF-8):	Klasy z implementacją Java Servlet 2.4 i JSP 2.0
Name:		java-servletapi5
Version:	5.5.33
Release:	1
License:	Apache v2
Group:		Libraries/Java
Source0:	http://www.apache.org/dist/tomcat/tomcat-5/v%{version}/src/apache-tomcat-%{version}-src.tar.gz
# Source0-md5:	7811f4f1cdfd37cb22d421d2030818de
Patch0:		jakarta-servletapi5-target.patch
URL:		http://tomcat.apache.org/
BuildRequires:	ant
BuildRequires:	jdk >= 1.5
BuildRequires:	jpackage-utils
BuildRequires:	rpm-javaprov
Requires:	jpackage-utils
Requires:	jre >= 1.5
Provides:	java(jsp) = %{jspapiver}
Provides:	java(servlet) = %{servletapiver}
Obsoletes:	classpathx_servlet
Obsoletes:	jakarta-servletapi
Obsoletes:	jakarta-servletapi5
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This subproject contains the compiled code for the implementation
classes of the Java Servlet 2.4 and JSP 2.0 APIs (packages
javax.servlet, javax.servlet.http, javax.servlet.jsp, and
javax.servlet.jsp.tagext).

%description -l pl.UTF-8
Ten podprojekt zawiera skompilowany kod implementacji klas API Java
Servlet 2.4 i JSP 2.0 (pakiety javax.servlet, javax.servlet.http,
javax.servlet.jsp i java.servlet.jsp.tagext).

%package javadoc
Summary:	servletapi 5 documentation
Summary(pl.UTF-8):	Dokumentacja do servletapi 5
Group:		Documentation
Requires:	jpackage-utils
Obsoletes:	jakarta-servletapi5-javadoc

%description javadoc
servletapi 5 documentation.

%description javadoc -l pl.UTF-8
Dokumentacja do servletapi 5.

%prep
%setup -qc
mv apache-tomcat-%{version}-src/servletapi/* .
%patch0 -p0

%build

%ant -f jsr154/build.xml dist \
	-Dbuild.compiler=extJavac \
	-Dservletapi.build=build \
	-Dservletapi.dist=dist

%ant -f jsr152/build.xml dist \
	-Dbuild.compiler=extJavac \
	-Dservletapi.build=build \
	-Dservletapi.dist=dist

%install
rm -rf $RPM_BUILD_ROOT

# JSP 2.0 and Servlet 2.4 classes
install -d $RPM_BUILD_ROOT%{_javadir}
cp -a jsr152/dist/lib/jsp-api.jar $RPM_BUILD_ROOT%{_javadir}/jsp-api-%{jspapiver}.jar
cp -a jsr154/dist/lib/servlet-api.jar $RPM_BUILD_ROOT%{_javadir}/servlet-api-%{servletapiver}.jar

ln -s servlet-api-%{servletapiver}.jar $RPM_BUILD_ROOT%{_javadir}/servlet-api.jar
ln -s jsp-api-%{jspapiver}.jar $RPM_BUILD_ROOT%{_javadir}/jsp-api.jar

# javadoc
%if %{with javadoc}
install -d $RPM_BUILD_ROOT%{_javadocdir}/%{srcname}-%{version}
cp -a jsr152/dist/docs/api $RPM_BUILD_ROOT%{_javadocdir}/%{srcname}-%{version}/jsp-api
cp -a jsr154/dist/docs/api $RPM_BUILD_ROOT%{_javadocdir}/%{srcname}-%{version}/servlet-api
ln -s %{srcname}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{srcname} # ghost symlink
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
ln -nfs %{srcname}-%{version} %{_javadocdir}/%{srcname}

%files
%defattr(644,root,root,755)
%{_javadir}/jsp-api-%{jspapiver}.jar
%{_javadir}/jsp-api.jar
%{_javadir}/servlet-api-%{servletapiver}.jar
%{_javadir}/servlet-api.jar

%if %{with javadoc}
%files javadoc
%defattr(644,root,root,755)
%{_javadocdir}/%{srcname}-%{version}
%ghost %{_javadocdir}/%{srcname}
%endif
%changelog
* Tue Jul 04 2017 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/java-servletapi5.git;a=log;h=master

* Sat Feb 12 2011 Jakub Bogusz <qboosh@pld-linux.org> 376c54a
- completed previous changelog entry (upgrade to 5.5.33)

* Sat Feb 12 2011 Jakub Bogusz <qboosh@pld-linux.org> ce610a7
- updated to 5.5.33
- unified java(jsp) and java(servlet) Provides

* Sun Apr 18 2010 Jacek Konieczny <jajcus@pld-linux.org> 1eb8af8
- always install servlet-api.jar, otherwise 'Provides: java(Servlet)' makes no sense.

* Sat Apr 17 2010 Jacek Konieczny <jajcus@pld-linux.org> 3d28483
- do not force gcj/java_sun

* Sun Sep 20 2009 pawelz <pawelz@pld-linux.org> c7c12d1
- fixed symlinks
- rel 3 (for Titanium only. There is no need to rebuild it for Th or Ac)

* Wed Sep 09 2009 Elan Ruusamäe <glen@pld-linux.org> 1fe91a8
- do what the comment says!

* Wed Sep 09 2009 pawelz <pawelz@pld-linux.org> 1536189
- rel 2

* Wed Sep 09 2009 pawelz <pawelz@pld-linux.org> 42c19b2
- use api version instead of tomcat version for versioning jar

* Wed Sep 09 2009 pawelz <pawelz@pld-linux.org> b1a1b6d
- dropped P: jakarta-servletapi5. All packages should use java(servlet) deps
- dropped servletapi5.jar. all packages should use servlet-api-%{apiver}.jar

* Wed Sep 09 2009 pawelz <pawelz@pld-linux.org> dfaa798
- on Th install only versioned jars, to allow it coexist with java-servletapi
  from tomcat6

* Wed Aug 19 2009 pawelz <pawelz@pld-linux.org> 45737fd
- applied upstream

* Wed Aug 19 2009 pawelz <pawelz@pld-linux.org> 573c722
- updated for 5.5.28

* Wed Aug 19 2009 pawelz <pawelz@pld-linux.org> 6717529
- up to 5.5.28
- P: java(JSP) = %{jspapiver}
- P: java(Servlet) = %{servletapiver}
- dropped old "Provides"

* Tue Jun 09 2009 pawelz <pawelz@pld-linux.org> 515628f
- security patch (CVE-2009-0781)
- rel 6

* Tue Jun 09 2009 pawelz <pawelz@pld-linux.org> 845ddca
- backported from tomcat svn trunk

* Mon May 18 2009 pawelz <pawelz@pld-linux.org> 8ac1779
- O: jakarta-servletapi (dropped "< 4")
- "Obsoletes" for -javadoc subpackage
- rel 5

* Thu Mar 26 2009 Sławomir Paszkiewicz <paszczus@pld-linux.org> 7d3f84f
- close %if

* Thu Mar 26 2009 Sławomir Paszkiewicz <paszczus@pld-linux.org> 4d5ba8c
- added bcond for Titanium

* Mon Mar 16 2009 pawelz <pawelz@pld-linux.org> b140707
- typo

* Mon Mar 16 2009 pawelz <pawelz@pld-linux.org> b60542d
- versioned "P: servletapi"
- unify javadocs
- License version
- rel 4

